/*
 * @(#)file      SnmpProxyLcd.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.6
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.rfc2573.v3proxy;

import com.sun.management.snmp.SnmpEngineId;

import java.util.Enumeration;

public interface SnmpProxyLcd {
    public SnmpAgentProxy lookUpProxy(int type,
				      int pduType,
				      SnmpEngineId ctxEngineId,
				      String ctxName,
				      int mpm, 
				      int securityModel,
				      String securityName,
				      int securityLevel) throws Exception;
    
    public void readConfiguration() throws Exception;

    public void addProxy(String proxyName,
			 int type,
			 SnmpEngineId contextEngineId,
			 String contextName,
			 String paramsIn,
			 String singleOut,
			  String multipleOut,
			 int storageType) throws IllegalArgumentException;
    
    public void removeProxy(String name) throws IllegalArgumentException;
    
    /**
     * Enumeration of <CODE>SnmpProxyData</CODE>
     */
    public Enumeration getProxies();
}

