@echo off
rem -----------------------------------------------------------------------
rem Copyright 2000-2002 Sun Microsystems, Inc.  All rights reserved.
rem This software is the proprietary information of Sun Microsystems, Inc.
rem Use is subject to license terms.

rem
rem Copyright 2000-2002 Sun Microsystems, Inc.  Tous droits reserves.
rem Ce logiciel est propriete de Sun Microsystems, Inc.
rem Distribue par des licences qui en restreignent l'utilisation. 
rem -----------------------------------------------------------------------

rem *************************************************************
rem *** JDMK_HOME points to the root of the Java DMK installation
rem *************************************************************
set JDMK_HOME=C:\Program Files\SUNWjdmk\5.1
set CHECK=%JDMK_HOME%UNDEFINED
if "%CHECK%" EQU "UNDEFINED" goto jdmk_home_error

rem *******************************************************************
rem *** Begins localization of environment variables in the batch file
rem *******************************************************************
setlocal

set PATH=%JDMK_HOME%\bin;%PATH%
set CLASSPATH=%JDMK_HOME%\lib\jmx.jar;%JDMK_HOME%\lib\jdmkrt.jar;%JDMK_HOME%\lib\jdmktk.jar;%CLASSPATH%

rem **************************************
rem *** Lauch the Java application
rem **************************************
java com.sun.jdmk.tools.MibGen %*

rem ***************************************************************
rem *** Ends localization of environment changes in the batch file
rem ***************************************************************
endlocal

goto end

:jdmk_home_error
echo Error: The JDMK_HOME variable does not point to
echo Error: the Java DMK installation. Please edit your
echo Error: startup batch file.

:end